#sKey {
    display: none !important;
}

.center-logo, .center-icon {
  display: block;
  margin-left: auto;
  margin-right: auto;
  cursor: pointer;
}

.sub-title-logo {
  color: #60bd89;
  text-align: center;
  font-weight: 800;
  margin-bottom: 3%;
  font-size: small;
}

.mms-msg-response, #mms-msg_response, #mms_msg_single_response{
    display: none;
    padding: 2%;
    width: 100%;
    box-sizing: border-box;
    cursor: pointer;
}

.mms-msg_success, .mms_success{
  display:block !important;
  background: #d1ffdd;
  color: #074d19;
  cursor: pointer;
}

.mms-msg_info, .mms_info{
    display:block !important;
    background: #c3b8ff;
    color: #13094d;
    cursor: pointer;
}

.mms-msg_error, .mms_error{
    display:block !important;
    background: #f1c8c8;
    color: #6b0c0c;
    cursor: pointer;
}

.mms-msg_warning{
    display:block !important;
    background: #f7ffc7;
    color: #434b15;
    cursor: pointer;
}

button::-moz-focus-inner, input::-moz-focus-inner {
  border: 0;
  padding: 0;
}

button, .mms_button {
  margin-bottom: 1rem;
}

.mt-5{
  margin-top: 5px;
}

.mt-10{
  margin-top: 10px;
}

.mt-15{
  margin-top: 15px;
}

.mt-20{
  margin-top: 20px;
}

.mt-50{
  margin-top: 50px;
}

.mt-100{
  margin-top: 100px;
}

.mb-5{
  margin-bottom: 5px;
}

.mb-10{
  margin-bottom: 10px;
}

.mb-15{
  margin-bottom: 15px;
}

.mb-20{
  margin-bottom: 20px;
}

.mb-50{
  margin-bottom: 50px;
}


.mr-5{
  margin-right: 5px;
}

.mr-10{
  margin-right: 10px;
}

.mr-15{
  margin-right: 15px;
}

.mr-20{
  margin-right: 20px;
}

.mr-50{
  margin-right: 50px;
}


.ml-5{
  margin-left: 5px;
}

.ml-10{
  margin-left: 10px;
}

.ml-15{
  margin-left: 15px;
}

.ml-20{
  margin-left: 20px;
}

.ml-50{
  margin-left: 50px;
}



.loader {
  position: relative;
  width: 100%;
  height: 100%;
  pointer-events: none;
  user-select: none;
  padding: 0 2px;
}


.loader::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 40px;
  height: 40px;
  border: 4px solid #f3f3f3;
  border-top: 4px solid #3498db;
  border-radius: 50%;
  animation: spin 1s linear infinite;
  transform: translate(-50%, -50%);
  z-index: 2;
}

.loader::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.2); /* Warna transparan */
  backdrop-filter: blur(4px); /* Efek blur */
  z-index: 1; /* Di bawah konten */
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


.text-center{
  text-align: center !important;
}

.cursor-pointer{
  cursor: pointer !important;
}

#title{
  color: green;
  font-weight: 800;
}

.btn-success{
  background: green;
  color: white;
}

.btn-info{
  background: blue;
  color: white;
}

.btn-error{
  background: red;
  color: white;
}

.btn-warning{
  background: #ffe300;
  color: black;
}


.btn-success:hover, .btn-error:hover, .btn-info:hover, .btn-warning:hover {
  background: white;
  color: black;
}

.hide {
  display: none !important;
}

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}


.modalWrap {
    background: white;
    padding: 5%;
    border-radius: 10px;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
    width: 50%;
    z-index: 1001; /* Di atas overlay */
    overflow: auto;
    max-height: 90%;
}

#modal_title {
  text-align: center;
font-size: 16px;
margin-bottom: 30px;
font-weight: 800;
}


#invitation_link{
  font-size: 11px;
  padding: 4px 6px;
  background: blue;
  color: white;
  border-radius: 5px;
}

#invitation_link:hover{
  background: white;
  color:blue;
  border: 1px solid blue;
}


.do-nothing {
    pointer-events: none;
    user-select: none;
}


.tab-item{
  border-color: #ccc;
  border-bottom-color: rgb(204, 204, 204);
border-bottom: 1px solid #fff;
margin-bottom: -1px;
}

#tabs{

}


.tabset > input[type="radio"] {
  position: absolute;
  left: -200vw;
}

.tabset .tab-panel {
  display: none;
}

.tabset > input:first-child:checked ~ .tab-panels > .tab-panel:first-child,
.tabset > input:nth-child(3):checked ~ .tab-panels > .tab-panel:nth-child(2),
.tabset > input:nth-child(5):checked ~ .tab-panels > .tab-panel:nth-child(3),
.tabset > input:nth-child(7):checked ~ .tab-panels > .tab-panel:nth-child(4),
.tabset > input:nth-child(9):checked ~ .tab-panels > .tab-panel:nth-child(5),
.tabset > input:nth-child(11):checked ~ .tab-panels > .tab-panel:nth-child(6) {
  display: block;
}


.tabset > label {
  position: relative;
  display: inline-block;
  padding: 15px 15px 25px;
  border: 1px solid transparent;
  border-bottom: 0;
  cursor: pointer;
  font-weight: 600;
}

.tabset > label::after {
  content: "";
  position: absolute;
  left: 15px;
  bottom: 10px;
  width: 22px;
  height: 4px;
  background: #8d8d8d;
}


input:focus-visible + label {
  outline: 2px solid rgba(0,102,204,1);
  border-radius: 3px;
}

.tabset > label:hover,
.tabset > input:focus + label,
.tabset > input:checked + label {
  color: #green;
}

.tabset > label:hover::after,
.tabset > input:focus + label::after,
.tabset > input:checked + label::after {
  background: #green;
}

.tabset > input:checked + label {
  border-color: #ccc;
  border-bottom: 1px solid #fff;
  margin-bottom: -1px;
  background: green;
  color: white;
}

.tabset > input:checked + label::after {
  background: white;
}

.tab-panel {
  padding: 30px 0;
  border-top: 1px solid #ccc;
}


.inline-80{
  display: inline-block;
  width: 79%;
  margin-right: 1px;
}

.inline-20{
  display: inline-block;
  width: 19%;
  margin-right: 1px;
}


.inline-98{
  display: inline-block;
  width: 88%;
  margin-right: 1px;
}

.inline-2{
  display: inline-block;
  width: 1%;
  margin-right: 1px;
}


.txt-success{
  color: green !important;
}

.txt-error{
  color: red !important;
}


.txt-info{
  color: blue !important;
}

.txt-gray{
  color: gray !important;
}


#content{
  margin-bottom: 50px;
}


.hr-rapet{
  margin-top: 10px !important;
  margin-bottom: 10px !important;
}


.data-txt{
  padding: 5px 8px;
  background: #e6ffe6;
  border: 1px solid #ccc;
  display: block;
  width: 100%;
}



#footer{
  margin-top: 100px;
}


.code {
font-family: "Courier New", Courier, monospace;
padding: 40px;
background: #000;
color: white;
display: block;
width: 100%;
}

.codeTab{
  cursor: pointer;
  display: inline-block;
  padding: 10px;
  border-bottom: 2px solid gray;
  margin-right: 20px;
}

.selectedCode, .codeTab:hover{
  font-weight: bold;
  color: green;
  border-bottom: 5px solid green;
}
